Debian Bug report logs - #437674
opendir: No such file or directory

version graph

Package: x-ttcidfont-conf; Maintainer for x-ttcidfont-conf is Bradley Smith <bradsmith@debian.org>;

Reported by: Fabiano Manoel de Andrade <fabianoma@gmail.com>

Date: Mon, 13 Aug 2007 14:39:03 UTC

Severity: serious

Found in versions x-ttcidfont-conf/25.1, x-ttcidfont-conf/26

Fixed in version x-ttcidfont-conf/27

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, fabianoma@gmail.com, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#437674; Package x-ttcidfont-conf. Full text and rfc822 format available.

Acknowledgement sent to Fabiano Manoel de Andrade <fabianoma@gmail.com>:
New Bug report received and forwarded. Copy sent to fabianoma@gmail.com, Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabiano Manoel de Andrade <fabianoma@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: opendir: No such file or directory
Date: Mon, 13 Aug 2007 11:36:21 -0300
Package: x-ttcidfont-conf
Version: 25.1
Severity: important

	Installing x-ttcidfont-conf a get the following error:
~# aptitude install x-ttcidfont-conf 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading extended state information       
Initializing package states... Done
Writing extended state information... Done
Reading task descriptions... Done         
Building tag database... Done    
The following NEW packages will be installed:
  x-ttcidfont-conf 
0 packages upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/26.8kB of archives. After unpacking 98.3kB will be used.
Writing extended state information... Done
Preconfiguring packages ...
Selecting previously deselected package x-ttcidfont-conf.
(Reading database ... 152860 files and directories currently installed.)
Unpacking x-ttcidfont-conf (from .../x-ttcidfont-conf_25.1_all.deb) ...
Setting up x-ttcidfont-conf (25.1) ...
Updating font configuration of x-ttcidfont-conf...
Cleaning up category cmap..
Cleaning up category cid..
Cleaning up category truetype..
Updating category truetype..
Updating category cid..
Updating category cmap..
opendir: No such file or directory

	After this, packages like amsn can not find TrueType fonts.
	Best Regargs.
	Fabiano.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-1-k7 (SMP w/1 CPU core)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages x-ttcidfont-conf depends on:
ii  debconf [debconf-2.0]       1.5.14       Debian configuration management sy
ii  defoma                      0.11.10-0.1  Debian Font Manager -- automatic f
ii  xfonts-base                 1:1.0.0-5    standard fonts for X
ii  xfonts-encodings            1:1.0.2-2    Encodings for X.Org fonts
ii  xutils                      1:7.1.ds.3-1 X Window System utility programs

x-ttcidfont-conf recommends no packages.

-- debconf information:
  x-ttcidfont-conf/xtt_vl:
  x-ttcidfont-conf/tt_backend: freetype
  x-ttcidfont-conf/font_path_change2:



Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#437674; Package x-ttcidfont-conf. Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@sc3d.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #10 received at 437674@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@sc3d.org>
To: Debian Bug Tracking System <437674@bugs.debian.org>
Subject: Seems to be related to /usr/share/defoma/scripts/x-ttcidfont-conf.defoma
Date: Mon, 13 Aug 2007 21:13:02 +0100
Package: x-ttcidfont-conf
Version: 25.1
Followup-For: Bug #437674

This file mentions:

./scripts/x-ttcidfont-conf.defoma:	   '-e', '/usr/X11R6/lib/X11/fonts/encodings',
./scripts/x-ttcidfont-conf.defoma:	   '-e', '/usr/X11R6/lib/X11/fonts/encodings/large',

which directories no longer are guaranteed to exist (unless
t1-xfree86-nonfree is installed).

This seems to cause the opendir error mentioned.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-2-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages x-ttcidfont-conf depends on:
ii  debconf [debconf-2.0]       1.5.14       Debian configuration management sy
ii  defoma                      0.11.10-0.1  Debian Font Manager -- automatic f
ii  xfonts-base                 1:1.0.0-5    standard fonts for X
ii  xfonts-encodings            1:1.0.2-2    Encodings for X.Org fonts
ii  xutils                      1:7.1.ds.3-1 X Window System utility programs

x-ttcidfont-conf recommends no packages.

-- debconf information:
  x-ttcidfont-conf/xtt_vl:
* x-ttcidfont-conf/tt_backend: freetype
* x-ttcidfont-conf/font_path_change2:



Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#437674; Package x-ttcidfont-conf. Full text and rfc822 format available.

Acknowledgement sent to Ross Burton <ross@burtonini.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #15 received at 437674@bugs.debian.org (full text, mbox):

From: Ross Burton <ross@burtonini.com>
To: 437674@bugs.debian.org
Subject: Re: opendir: No such file or directory
Date: Sun, 30 Dec 2007 14:50:35 +0000
[Message part 1 (text/plain, inline)]
I changed that block from this:

    system('/usr/bin/X11/mkfontdir',
	   '-e', '/usr/X11R6/lib/X11/fonts/encodings',
	   '-e', '/usr/X11R6/lib/X11/fonts/encodings/large',
	   "$PkgDir/dirs/$category");

to this:

    system('/usr/bin/X11/mkfontdir',
	   '-e', '/usr/share/fonts/X11/encodings',
	   '-e', '/usr/share/fonts/X11/encodings/large',
	   "$PkgDir/dirs/$category");

And now it configures correctly.
-- 
Ross Burton                                 mail: ross@burtonini.com
                                          jabber: ross@burtonini.com
                                     www: http://www.burtonini.com./
 PGP Fingerprint: 1A21 F5B0 D8D0 CFE3 81D4 E25A 2D09 E447 D0B4 33DF

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#437674; Package x-ttcidfont-conf. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #20 received at 437674@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: control@bugs.debian.org
Cc: 437674@bugs.debian.org
Subject: setting package to x-ttcidfont-conf, found 437674 in 26, severity of 437674 is serious
Date: Mon, 14 Jan 2008 15:17:09 +0100
# Automatically generated email from bts, devscripts version 2.10.11
package x-ttcidfont-conf
found 437674 26
# package fails in its main purpose
severity 437674 serious





Bug marked as found in version 26. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Mon, 14 Jan 2008 14:18:07 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Mon, 14 Jan 2008 14:18:07 GMT) Full text and rfc822 format available.

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Fabiano Manoel de Andrade <fabianoma@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 437674-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 437674-close@bugs.debian.org
Subject: Bug#437674: fixed in x-ttcidfont-conf 27
Date: Sun, 20 Jan 2008 11:32:13 +0000
Source: x-ttcidfont-conf
Source-Version: 27

We believe that the bug you reported is fixed in the latest version of
x-ttcidfont-conf, which is due to be installed in the Debian FTP archive:

x-ttcidfont-conf_27.dsc
  to pool/main/x/x-ttcidfont-conf/x-ttcidfont-conf_27.dsc
x-ttcidfont-conf_27.tar.gz
  to pool/main/x/x-ttcidfont-conf/x-ttcidfont-conf_27.tar.gz
x-ttcidfont-conf_27_all.deb
  to pool/main/x/x-ttcidfont-conf/x-ttcidfont-conf_27_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 437674@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated x-ttcidfont-conf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 20 Jan 2008 21:00:23 +1100
Source: x-ttcidfont-conf
Binary: x-ttcidfont-conf
Architecture: source all
Version: 27
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 x-ttcidfont-conf - TrueType and CID fonts configuration for X
Closes: 424446 437674 454356
Changes: 
 x-ttcidfont-conf (27) unstable; urgency=low
 .
   * Fixed "opendir: No such file or directory". Closes: #437674
   * Bumped Standards-Version to 3.7.3
   * po-debconf translations
     - Spanish. Closes: #454356
     - German. Closes: #424446
   * Fixed the following lintian mesages:
     - package-has-a-duplicate-build-relation
     - missing-build-dependency po-debconf
Files: 
 8ad57910a6726011a9e59974b1fa7724 692 x11 optional x-ttcidfont-conf_27.dsc
 59b9b6ff2e0f27d0901f13694f683543 32675 x11 optional x-ttcidfont-conf_27.tar.gz
 c83171d856bf0a0ad734b845688affff 20046 x11 optional x-ttcidfont-conf_27_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHky48gY5NIXPNpFURAtFNAKDSlv8Hfmuu8B0GkiuhYl9VhCqRmQCgwByt
5vBIplnfYLp5OViHWrbxh9Q=
=/ZWD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 09:58:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:11:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.